<?php
	class topic_model extends CI_Model{
		function getAllTopicName(){
			return $this->db->select('*')->from('topicsofinterest')->get()->result() ;
		}
		function getTotalTopicCount(){
			$total_count = $this->db->select('count(*) as count_')->from('topicsofinterest')->get()->result();
			return $total_count[0]->count_;
		}
		function getAllTopicData($per_page, $count){
			$this->db->select('*');
			return $this->db->get('topicsofinterest', $per_page, $count )->result();
		}
		function addNewTopic($topic_name,$topic_url,$file_name){
			$file_name = basename($file_name);
			$data = array(
				'name' => $topic_name,
				'url' => $topic_url,
				'thumb_url' => $file_name,
				'absolute_path' => "/public_html/stoptype2WebSite/assets/uploads/interest/" . $file_name,
				'web_path' => asset_url().'uploads/interest/' . $file_name,
				'updateAt' => date('Y-m-d G:i:u')
			);
			$this->db->insert('topicsofinterest', $data);
			return $this->db->insert_id();
		}
		function editTopic($edit_topic_id, $edit_topic_name, $editTopicURL, $editTopicImageURL){
			$data = array(
				'name' => $edit_topic_name,
				'url' => $editTopicURL,
				'thumb_url' => $editTopicImageURL,
				'absolute_path' => "/public_html/stoptype2WebSite/assets/uploads/interest/" . $editTopicImageURL,
				'web_path' => asset_url().'uploads/interest/' . $editTopicImageURL
			);
			$this->db->where('id' , $edit_topic_id);
			$this->db->update('topicsofinterest', $data);			
		}
		
		function deleteTopic($topic_id){
			$qStr = "DELETE FROM topicsofinterest WHERE id='".$topic_id."'";
			return $query = $this->db->query($qStr);
		}
		
		function getTopicCurrentFileById($topic_id){

			$qStr = "SELECT 

						thumb_url

					 FROM

						topicsofinterest 

					 WHERE

						id = ".$topic_id;



			$query = $this->db->query($qStr);

			$result= $query->row_array();

			return $result['thumb_url'];

		}
		function addTopicUpload($topic_id, $file_name, $file_type){
			$data = array(
				'topicofinterest_id' => $topic_id,
				'upload_path' => $file_name,
				'upload_type' => $file_type,
				'updatedBy' => $this->session->userdata('first_name'),
				'updateAt' => date('Y-m-d G:i:u')
			);
            
            $this->db->insert('topicuploads', $data);
		}
	}
?>