<?php $this->load->view('components/cache-disable'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="shortcut icon" href="<?php echo asset_url(); ?>images/favicon.png"; /> 
<link rel="stylesheet" type="text/css" href="<?php echo asset_url(); ?>style/style.css"/>
<link type='text/css' href='<?php echo asset_url(); ?>style/basic.css' rel='stylesheet' media='screen' />
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.js'></script>
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.simplemodal.js'></script>
<title>Patient</title>
</head>
<body>
<div class="wraper">
	<?php $this->load->view('components/header'); ?>
	<content>
		<div style="float:left; background:#fff; border-radius:5px; margin-bottom:40px;">
			<div class="left">
				<div class="l_top">
					<div class="heading1" style="font-size:20px">Personal Goals</div>
				</div>
				<div class="main">
					<div class="list_heading" style="width: 880px;">
						<div id="new_topic_insert_div">
                        	<label style="float:left;margin-right:10px;">Select Patient:</label>
                            <?php
                                $attributes = array('id' => 'goal_form');
                                echo form_open('patient/get_goal/'.$selected_patient_id, $attributes);
                            ?>
                            <select id="patientList" name="patientList" style="margin-right:10px;float:left;margin-top:9px;">
							<option value="">--Select--</option>
                            <?php
                            foreach($all_patient_rows as $row)
                            { ?>
                                <option value="<?php echo $row->userID.'_'.$row->user_first_name?>" <?php echo ($row->userID == $selected_patient_id)? 'selected' : ''?>><?php echo $row->user_first_name.' '.$row->user_last_name ?></option>
                            <?php }
                            ?>
                            </select>
                            <?php echo form_close(); ?>
                        </div>
					</div>
                    <div class="s_buttons2" style="margin-top: 6px;margin-left: 30px;">
						<a onclick="addGoal();" class="active">Get Goals</a>
                        <div class="clearfix"></div>
					</div>
                    
                    <div class="heading2">
                        GOAL LIST
                    </div>
                    
                    <div id="app_list">
					<?php if(isset($goals) && empty($goals)){ ?>
						<div class='list_bg2'><div class='lh11' id='topic1' style='width: 880px;'>No Data</div></div>
					<?php } else
							if(isset($goals) && !empty($goals)) {
						$index = 1;
							foreach ($goals as $goal){?>
							<div class='list_bg2'>
								<div class='lh11' id='topic1' style='width: 50px;'><?php echo $index ?>) </div>
								<?php $text = '';
									if($goal->goal_type == 1){
										$text = "Personal weight loss goal";
										$unit = ' KG';
									}
									if($goal->goal_type == 2){
										$text = "Daily exercise goal";
										$unit = ' Minutes';
									}
									if($goal->goal_type == 3){
										$text = "Personal diet goal";
										$unit = ' Calories';
									}?>
									<div class="lh11"><?php echo $text ?></div>
									<div class="lh22"> <?php echo $goal->goal_data.$unit; ?> </div>
								</div>
                    <?php $index++; } }?>
                    <?php
/*                    if(isset($all_goals_rows)) {
                        
                        echo "<div class='heading2'>".$goals_id."'s GOALS LIST</div>";
                        
                        if (count($all_goals_rows) == 0) {
                            echo "<div class='list_bg2'>";
        					echo "<div class='lh11' id='topic1' style='width: 660px;'>No Goals Found</div>";
        					echo "</div>";
                        }
                        else {
                            $i = 1;
                            foreach ($all_goals_rows as $row) {
                                
                                echo "<div class='list_bg2'>";
            					echo "<div class='lh11' id='topic1' style='width: 50px;'>".$i." ) </div>";
            					echo "<div class='lh11' id='topic1' style='width: 610px;'>".$row->goalText."</div>";
            					echo "</div>";
                                $i++;
                            }
                        }
                    } */?>
                    
                    </div>
                    <div style="padding-top:30px; clear:both;"></div>
				</div>
			</div>

			<?php if(!empty($selected_patient_data)){ ?>
			<div style="float:left;" id="right-content">
				<?php  $this->load->view('components/right'); ?>
            </div>
			<?php } ?>
            
		</div>
	</content>
</div>
</body>
<script type="text/javascript">
    function formSubmit()
	{
	   document.getElementById("goal_form").submit();
    }
    
    function addGoal() {
        
		var patientID = document.getElementById("patientList").value;
        
		if(patientID != ""){
			patientID = patientID.split("_");
			
			var form_data = {
				patientList: patientID[0]
			}
        
			location.href = "<?php echo site_url('patient/goal_list'); ?>/"+patientID[0];
		}
        /*$.ajax({
        	url: "<?php echo site_url('patient/get_goal'); ?>",
        	type:'POST',
        	data:form_data,
        	success: function(msg){
        	   if(msg == "LOGGEDOUT") {
    	           window.location = "<?php echo site_url('patient'); ?>"
        	   }
               else{
                    msg = JSON.parse(msg);
                    if (msg.length == 0) {
                        alert("No goal found");
                        document.getElementById("app_list").innerHTML = "<div class='list_bg2'><div class='lh11' id='topic1' style='width: 660px;'>No Goal Found</div></div>";
                    }
                    else {
                        var str = "";
                        for (var i=0 ; i < msg.length; i++) {
							var goal = '';
							if(msg[i].goal_type == 1){
								goal = 'Exercise';
							}
							if(msg[i].goal_type == 2){
								goal = 'Gym';
							}
							if(msg[i].goal_type == 3){
								goal = 'Running';
							}
                            str += "<div class='list_bg2'>"+
                                  "<div class='lh11' id='topic1' style='width: 50px;'>"+(i+1)+" ) </div>"+
   					              "<div class='lh11' id='topic1' style='width: 610px;'>"+goal+"</div>"+
        					      "</div>";
                        }
                        
                        document.getElementById("app_list").innerHTML = str;
                        
                    }
               }
        	}
        });*/
        
    }
    
</script>
</html>