<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| File and Directory Modes
|--------------------------------------------------------------------------
|
| These prefs are used when checking and setting modes when working
| with the file system.  The defaults are fine on servers with proper
| security, but you may wish (or even need) to change the values in
| certain environments (Apache running a separate process for each
| user, PHP under CGI with Apache suEXEC, etc.).  Octal values should
| always be used to set the mode correctly.
|
*/
define('FILE_READ_MODE', 0644);
define('FILE_WRITE_MODE', 0666);
define('DIR_READ_MODE', 0755);
define('DIR_WRITE_MODE', 0777);

/*
|--------------------------------------------------------------------------
| File Stream Modes
|--------------------------------------------------------------------------
|
| These modes are used when working with fopen()/popen()
|
*/
if($_SERVER['HTTP_HOST']=="localhost") {
	define('ASSET_FRONTEND_UPLOADS_PATH', $_SERVER['DOCUMENT_ROOT'].'/stoptype2WebSite/tg_web_stoptype2/assets/uploads/');
}else {
	define('ASSET_FRONTEND_UPLOADS_PATH', $_SERVER['DOCUMENT_ROOT'].'/stoptype2WebSite/assets/uploads/');
}
define('FOPEN_READ',							'rb');
define('FOPEN_READ_WRITE',						'r+b');
define('FOPEN_WRITE_CREATE_DESTRUCTIVE',		'wb'); // truncates existing file data, use with care
define('FOPEN_READ_WRITE_CREATE_DESTRUCTIVE',	'w+b'); // truncates existing file data, use with care
define('FOPEN_WRITE_CREATE',					'ab');
define('FOPEN_READ_WRITE_CREATE',				'a+b');
define('FOPEN_WRITE_CREATE_STRICT',				'xb');
define('FOPEN_READ_WRITE_CREATE_STRICT',		'x+b');

// GOALS
define('EXERCISE',		1);
define('GYM',		2);
define('RUNNING',		3);

// HABITS
define('WAKE_UP_HABIT',		1);
define('EXERCISE_HABIT',		2);
define('SLEEP_HABIT',		3);

// RECEIVER TYPE
define('ADMIN',		1);
define('USER',		2);

// REPORT DURATION
define('WEEK', '604800');
define('MONTH', '2592000');

//TIMES
define('TIMES',serialize (array ('00:00'=>"00:00",'00:30'=>"00:30",'01:00'=>"01:00",'01:30'=>"01:30",
	'02:00'=>"02:00",'02:30'=>"02:30",'03:00'=>"03:00",'03:30'=>"03:30",'04:00'=>"04:00",
	'04:30'=>"04:30",'05:00'=>"05:00",'05:30'=>"05:30",'06:00'=>"06:00",'06:30'=>"06:30",
	'07:00'=>"07:00",'07:30'=>"07:30",'08:00'=>"08:00",'08:30'=>"08:30",'09:00'=>"09:00",
	'09:30'=>"09:30",'10:00'=>"10:00",'10:30'=>"10:30",'11:00'=>"11:00",'11:30'=>"11:30",'12:00'=>"12:00",
	'12:30'=>"12:30",'13:00'=>"13:00",'13:30'=>"13:30",'14:00'=>"14:00",'14:30'=>"14:30",'15:00'=>"15:00",
	'15:30'=>"15:30",'16:00'=>"16:00",'16:30'=>"16:30",'17:00'=>"17:00",'17:30'=>"17:30",'18:00'=>"18:00",
	'18:30'=>"18:30",'19:00'=>"19:00",'19:30'=>"19:30",'20:00'=>"20:00",'20:30'=>"20:30",'21:00'=>"21:00",
	'21:30'=>"21:30",'22:00'=>"22:00",'22:30'=>"22:30",'23:00'=>"23:00",'23:30'=>"23:30",)));

/* End of file constants.php */
/* Location: ./application/config/constants.php */