<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="<?php echo asset_url(); ?>style/style.css"/>
<link type='text/css' href='<?php echo asset_url(); ?>style/basic.css' rel='stylesheet' media='screen' />
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.js'></script>
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.simplemodal.js'></script>
<title>Patient</title>
</head>
<body>
<div class="wraper">
	<?php $this->load->view('components/header');?>
	<content>
		<div style="float:left; background:#F8F8F8; border-radius:5px;margin-bottom:40px;">
			<div class="left">
				<div class="l_top">
					<div class="heading1">Initial Evaluation</div>
				</div>
				<div class="main">
					<?php $this->load->view('components/tabs_menu');?>
					<div class="heading2">
						MEDICATION USE
					</div>
					<div class="list_bg2">
						<div class="lh33">Are you currently taking medications for your pain? </div>
						<div class="lh44"><?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; 
						else {
							if($selected_patient_userevaluation_data[0]->Medication_Taken == 1) echo "Yes"; else echo "No"; 
						}?>
                        </div>
					</div>
					<div class="list_bg2">
						<div class="lh11">What medications are you currently taking for your pain?  </div>
						<div class="lh3">
                        <?php if (!isset($selected_patient_userevaluation_data[0])) echo "";
                                else {
                                    $medication_list = explode("|", $selected_patient_userevaluation_data[0]->MedicationList);
                                    $medication_list = $medication_list[0];
                                    
                                    if($medication_list != "" || $medication_list != NULL) 
                                    {
                                        $medication_list = explode(",", $medication_list);
                                        foreach($medication_list as $medication) {
                                            if ($medication != "") {
                                                echo "<a>".$medication."</a>";
                                            }
                                        }
                                    }
                                }
						?>
						</div>
					</div>
					<div class="list_bg2">
						<div class="lh11">Other medications:       </div>
						<div class="lh3">
                            <?php if (!isset($selected_patient_userevaluation_data[0])) echo "";
                                else {
                                    $medication_list = explode("|", $selected_patient_userevaluation_data[0]->MedicationList);
                                    $medication_list = $medication_list[1];
                                    
                                    if($medication_list != "" || $medication_list != NULL) 
                                    {
                                        $medication_list = explode(",", $medication_list);
                                        foreach($medication_list as $medication) {
                                            if ($medication != "") {
                                                echo "<a>".$medication."</a>";
                                            }
                                        }
                                    }
                                }
                            ?>
						</div>
					</div>
					<div class="list_bg2">
						<div class="lh33">How helpful have pain medications been in relieving your pain today? </div>
						<div class="lh44"><?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; 
						else {
							if($selected_patient_userevaluation_data[0]->Medication_Benifit == 1) echo "Somewhat helpful"; else echo "Not Helpful"; 
						}?></div>
					</div>
					<div class="list_bg2">
						<div class="lh11">Do you have any of the following side effects? </div>
						<div class="lh3">
                            <?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Constipation < 1) {} else echo "<a>Constipation (".$selected_patient_userevaluation_data[0]->Constipation.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Dizziness < 1) {} else echo "<a>Dizziness (".$selected_patient_userevaluation_data[0]->Dizziness.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Drymouth < 1) {} else echo "<a>Drymouth (".$selected_patient_userevaluation_data[0]->Drymouth.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Headache < 1) {} else echo "<a>Headache (".$selected_patient_userevaluation_data[0]->Headache.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Itching < 1) {} else echo "<a>Itching (".$selected_patient_userevaluation_data[0]->Itching.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Memorylapse < 1) {} else echo "<a>Memory Lapse (".$selected_patient_userevaluation_data[0]->Memorylapse.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Confusion < 1) {} else echo "<a>Confusion (".$selected_patient_userevaluation_data[0]->Confusion.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Nausea < 1) {} else echo "<a>Nausea (".$selected_patient_userevaluation_data[0]->Nausea.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Nightmares < 1) {} else echo "<a>Nightmares (".$selected_patient_userevaluation_data[0]->Nightmares.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Sneezing < 1) {} else echo "<a>Sneezing (".$selected_patient_userevaluation_data[0]->Sneezing.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Sweating < 1) {} else echo "<a>Sweating (".$selected_patient_userevaluation_data[0]->Sweating.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Visualproblems < 1) {} else echo "<a>Visual Problems (".$selected_patient_userevaluation_data[0]->Visualproblems.")</a>"; ?>
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Weakness < 1) {} else echo "<a>Weakness (".$selected_patient_userevaluation_data[0]->Weakness.")</a>"; ?> 
            				<?php if(!isset($selected_patient_userevaluation_data[0])) echo ""; else if ($selected_patient_userevaluation_data[0]->Noneofabove < 1) {} else echo "<a>None of Above (".$selected_patient_userevaluation_data[0]->Noneofabove.")</a>"; ?> 
						</div>
					</div>
				</div>
			</div>
			<?php $this->load->view('components/right')?>
		</div>
	</content>
</div>
</body>
</html>