<?php
	require_once(FCPATH."assets/fpdf17/fpdf.php");
	require_once(FCPATH."assets/fpdf17/mem_image.php");
	
	$pdf = $pdf = new PDF_MemImage();
	$pdf->AddPage();
	$pdf->SetFont('Arial','',18);
	$pdf->Ln(10);
	$pdf->Cell(0,10, "Stop Type 02 Patient Report",0,1,'C');
	$pdf->SetFont('Arial','',12);
	$pdf->Ln(10);
	$pdf->Cell(15, 10, "Ref #:", 0, 0, 'L');
	$pdf->Cell(125,10, $patient_data[0]->patient_ref_no,0,0,'L');
	$pdf->Cell(0,10, "Date: ".date('M d, Y'),0,1,'L');	
	$pdf->Cell(25, 10, "First Name:", 0, 0, 'L');
	$pdf->Cell(0,10, $patient_data[0]->user_first_name,0,1,'L');	
	$pdf->Cell(25, 10, "Last Name:", 0, 0, 'L');
	$pdf->Cell(0,10, $patient_data[0]->user_last_name,0,1,'L');	
	$pdf->Cell(25, 10, "Weight:", 0, 0, 'L');
	$pdf->Cell(0,10, $patient_data[0]->current_weight,0,1,'L');	
	$pdf->Cell(25, 10, "Height:", 0, 0, 'L');
	$pdf->Cell(0,10, $patient_data[0]->current_height,0,1,'L');	
	$pdf->Cell(25, 10, "BMI:", 0, 0, 'L');
	$pdf->Cell(0,10, round(($patient_data[0]->current_weight/pow($patient_data[0]->current_height,2)),2),0,1,'L');	
	
    /*$pdf->Cell(33, 10, "Pain medication:", 0, 0, 'L');
	if (!isset($selected_patient_userevaluation_data[0])) {
        $pdf->Cell(0,10, "none",0,1,'L');
    }
    else {
        $medication_list = explode("|", $selected_patient_userevaluation_data[0]->MedicationList);
        $medication_list = $medication_list[0];
        
        if($medication_list != "" || $medication_list != NULL)
        {
            $med = "";
            $medication_list = explode(",", $medication_list);
                        
            for ($i = 0 ; $i < count($medication_list) ; $i++) {
                $med .= $medication_list[$i];
                
                if ($i < (count($medication_list) - 1 )) {
                    $med .= " - ";
                }
            }
            
            $pdf->Cell(0,10, $med,0,1,'L');
        }
    }
    
    $pdf->Cell(36, 10, "Other medication:", 0, 0, 'L');
	if (!isset($selected_patient_userevaluation_data[0])) {
        $pdf->Cell(0,10, "none",0,1,'L');
    }
    else {
        $medication_list = explode("|", $selected_patient_userevaluation_data[0]->MedicationList);
        $medication_list = $medication_list[1];
        
        if($medication_list != "" || $medication_list != NULL)
        {
            $othmed = "";
            $medication_list = explode(",", $medication_list);
            
            for ($i = 0 ; $i < count($medication_list) ; $i++) {
                $othmed .= $medication_list[$i];
                
                if ($i < (count($medication_list) - 1 )) {
                    $othmed .= " - ";
                }
            }
            
            $pdf->Cell(0,10, $othmed,0,1,'L');
        }
    }*/
    
    $pdf->Ln(10);
//	$pdf->MemImage($pain_graph, 10, 90, 190, 82);
//	$pdf->MemImage($sleep_graph, 10, 170, 190, 82);
	$pdf->AddPage();
	$pdf->Cell(0,10, "Weight Assessment",0,1,'C');
	// Column headings
	$header = array('No', 'Weight (KGs)', 'Date');
	$pdf->FancyTable($header,$selected_patient_weight_data);
	//$pdf->MemImage($mood_graph, 10, 10, 190, 82);
//	$pdf->MemImage($activity_graph, 10, 100, 190, 82);
    
    
    /*$pdf->Cell(120, 10, "No. of pain related surgeries:". $patient_data[0]->pain_related_surgery, 0, 0, 'L');
	$pdf->Cell(0, 10, "Implants:". $patient_data[0]->Implants, 0, 1, 'L');	
	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(40, 10, "Current Diseases:", 0, 0, 'L');
	$pdf->SetFont('Arial','',12);
	$pdf->MultiCell(0, 10, $patient_data[0]->current_diseas, 0, 'L');
	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(40, 10, "Current Medication:", 0, 0, 'L');
	$current_medication_list = "";
	foreach($current_medication as $single_medicine){
		$current_medication_list .= $single_medicine->MedicineName. ", ";
	}
	$pdf->SetFont('Arial','',12);
	$pdf->MultiCell(0, 10, $current_medication_list, 0, 'L');
	$pdf->SetFont('Arial','B',12);
	$pdf->Cell(40, 10, "Other Medication:", 0, 0, 'L');
	$current_medication_list = "";
	foreach($other_medication as $single_medicine){
		$current_medication_list .= $single_medicine->MedicineName. ", ";
	}
	$pdf->SetFont('Arial','',12);
	$pdf->MultiCell(0, 10, $current_medication_list, 0, 'L');*/
	//$pdf->SetFont('Arial','',10);
	
	
	/*if ($student_data[0]->s_gender == "Male")
		$child_text = "S/O";
	else
		$child_text = "D/O";
	$pdf->Ln(5);	
	$pdf->SetX(50);
	$pdf->Cell(100,10, "Student's ID:".$student_data[0]->id."   "."Student's Class:". $class[0]->name,'B',1,'L');	
	$pdf->SetX(50);
	$pdf->Cell(100,10, "Student's Name:".$student_data[0]->s_first_name." ".$student_data[0]->s_last_name,'B',1,'L');
	$pdf->SetX(50);
	$pdf->Cell(100,10, "Father's Name:".$student_data[0]->g_first_name." ".$student_data[0]->g_last_name,'B',1,'L');
	$pdf->Ln(5);
	$pdf->SetX(10);
	$pdf->Cell(65,10, "Date of Birth:   ".date("d-M-Y", strtotime($student_data[0]->s_dob)),0,0,'L');
	$pdf->Cell(50,10, "Gender:  ".$student_data[0]->s_gender,0,0,'L');
	$pdf->Cell(50,10, "Caste:   ".$student_data[0]->s_caste,0,1,'L');	
	$pdf->SetX(10);
	$pdf->Cell(65,10, "Religion:  ".$student_data[0]->s_religion,0,0,'L');
	$pdf->Cell(50,10, "Blood Group:  ".$student_data[0]->s_blood_group,0,0,'L');
	$pdf->Cell(50,10, "Guardian's NIC#: ".$student_data[0]->g_nic_number,0,1,'L');
	$pdf->Cell(0,10, "Current Address: ".$student_data[0]->s_temp_address,0,1,'L');
	$pdf->Cell(0,10, "Permanent Address: ".$student_data[0]->s_perm_address,0,1,'L');
	
	$pdf->Cell(100,10, "Phone(Home):".$student_data[0]->s_temp_address_phone,0,0,'L');
	$pdf->Cell(100,10, "Phone(Office):".$student_data[0]->s_perm_address_phone,0,1,'L');
	
	$pdf->Cell(100,10, "Primary Mobile:".$student_data[0]->s_mobile1,0,0,'L');
	$pdf->Cell(100,10, "2nd Mobile#:".$student_data[0]->s_mobile2,0,1,'L');
	$pdf->Cell(100,10, "Email:".$student_data[0]->s_email_personal,0,0,'L');
	$pdf->Cell(100,10, "Prev.School:".$student_data[0]->prev_institute,0,1,'L');
	
	$pdf->SetFont('Arial','',15);
	$pdf->Cell(0,10, "Emergency Contact Information",0,1,'C');
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(80,10, "Contact Name:".$student_data[0]->s_emergency_contact_name,0,0,'L');
	$pdf->Cell(80,10, "Contact Number:".$student_data[0]->s_emergency_contact_num,0,1,'L');
	$pdf->Cell(0,10, "Contact Address:".$student_data[0]->s_emergency_contact_address,0,1,'L');*/
	$pdf->Output();
	//echo asset_url()."images/students/".$student_data[0]->s_pic_path;
?>